package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.ExaminationStruct;

import javax.validation.constraints.NotEmpty;

@Dto(entity= ExaminationStruct.class)
public class ExaminationStructDto {
    private Integer id;

    @NotEmpty(message = "中文名称不能为空！")
    private String titleZh;

    @NotEmpty(message = "英文名称不能为空！")
    private String titleEn;

    @NotEmpty(message = "描述不能为空！")
    private String description;

    @NotEmpty(message = "父级不能为空！")
    private Integer parentId;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getTitleZh() {
        return titleZh;
    }

    public void setTitleZh(String titleZh) {
        this.titleZh = titleZh;
    }

    public String getTitleEn() {
        return titleEn;
    }

    public void setTitleEn(String titleEn) {
        this.titleEn = titleEn;
    }
}
